---
title: "Final Paycheck Laws by State: Involuntary Termination vs Resignation"
source_url: "https://statepayrules.com/guides/final-paycheck-laws-by-state/"
canonical_url: "https://statepayrules.com/guides/final-paycheck-laws-by-state/"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Statutory guide covering immediate same-day payment mandates for fired employees vs voluntary resignation timelines across all 50 US states."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://statepayrules.com/guides/final-paycheck-laws-by-state/](https://statepayrules.com/guides/final-paycheck-laws-by-state/)
>
> *Statutory guide covering immediate same-day payment mandates for fired employees vs voluntary resignation timelines across all 50 US states.*

# Final Paycheck Laws by State (Termination vs Resignation)

An exhaustive statutory breakdown of final paycheck timelines, accrued PTO payout rules, and waiting time penalties under state labor codes.

Employment Law Analysts

## 1. Involuntary Termination vs Voluntary Resignation Rules

State statutes distinguish sharply between employees who are laid off or discharged versus those who quit voluntarily:

### Involuntary Termination (Fired/Laid Off)

States like California (CA Labor Code § 201), Nevada, and Hawaii require final payment **immediately at the time of discharge**. Other states allow until the next regular payday.

### Voluntary Resignation (Quitting)

If 72 hours' advance notice is provided (e.g. CA Labor Code § 202), final wages are due on the last working day. Without notice, final pay is due within 72 hours or next payday.

### Was Your Final Paycheck Delayed?

Up to 30 Days Full Daily Wages in Statutory Waiting Time Penalties

Under California Labor Code § 203 and similar state laws, an employer who willfully delays paying final wages continues to accrue a daily wage penalty for up to 30 consecutive calendar days.

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://statepayrules.com/guides/final-paycheck-laws-by-state/](https://statepayrules.com/guides/final-paycheck-laws-by-state/).
